Package htsjdk.samtools

# Class SAMTestUtil.SanityCheckFailedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
htsjdk.samtools.SAMTestUtil.SanityCheckFailedException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `SAMTestUtil`

public static class SAMTestUtil.SanityCheckFailedException extends RuntimeException
Indicates that a required sanity-check condition was not met.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SanityCheckFailedException(String message)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SanityCheckFailedException

public SanityCheckFailedException(String message)